package com.sjkj.appthreefloor_tsgz.adapter;

import android.content.Context;
import android.graphics.Color;

import com.sjkj.appthreefloor_tsgz.R;
import com.sjkj.appthreefloor_tsgz.bean.EventDetailsBean;
import com.sjkj.appthreefloor_tsgz.bean.ImageBean;
import com.sjkj.appthreefloor_tsgz.databinding.ItemDetailsListBinding;
import com.sjkj.appthreefloor_tsgz.databinding.ItemResourceDetailsListBinding;
import com.sjkj.base_lib.adapter.BaseRecAdapter;

import java.util.List;

public class ImagResourceDetailsAdapter extends BaseRecAdapter<ImageBean, ItemResourceDetailsListBinding> {

    public ImagResourceDetailsAdapter(Context context) {
        super(context);
    }

    public ImagResourceDetailsAdapter(Context context, List<ImageBean> list) {
        super(context, list);
    }

    @Override
    protected int getLayoutResId(int viewType) {
        return R.layout.item_resource_details_list;
    }

    @Override
    protected void onBindItem(ItemResourceDetailsListBinding binding, ImageBean bean, int position) {
        binding.setModel(bean);
        binding.executePendingBindings();

    }


}
